Jump to content

All Activity

This stream auto-updates     

  1. Past hour
  2. I think not as the problem is not the machine, but windows 7. Thanks for the thought.
  3. Today
  4. Hello Friendly Forum Users! Occasionally I capture Google Map images and insert them as PDF's into drawings that I create in AutoCAD. In the past I would locate a site in Google Maps, tap my "Print Screen" key on my keyboard, enter my Adobe Acrobat X Pro program, click "Create PDF From Clipboard" and I had a PDF that I could insert into AutoCAD. I now am using Adobe Acrobat Pro DC and seem unable to create a simple PDF from a "Print Screen" command. Can anyone in this forum suggest a method that I can use to turn a simple webpage screen shot into a PDF? The folks at Adobe were unable to help me. I hope that this makes sense. Thanks, Dave
  5. Regarding previous post The second element in "vpoint" command, here are formulas for calculate exact: (1.0 -2.64575 1.0) 2.64572 = (sqrt 7.0) (1.0 -1.87083 1.0) 1.87083 = (sqrt (/ 7.0 2.0)) (1.0 -1.59861 1.0) 1.59861 = (sqrt (/ 23.0 9.0)) Zoom scale factor after using flatshot to get object match drawing unit scale Formula for compute scale ratio = sqrt (0.5 * ((x*x)+(y*y)+(z*z))) For axes with scale factor 1,1,1/2 (sqrt (* 0.5 (+ (* 1.0 1.0) (* 1.0 1.0) (* 0.5 0.5)))) For axes with scale factor 1,1,2/3 (sqrt (* 0.5 (+ (* 1.0 1.0) (* 1.0 1.0) (* (/ 2.0 3.0 ) (/ 2.0 3.0 )))) For axes with scale factor 1,1,3/4 (sqrt (* 0.5 (+ (* 1.0 1.0) (* 1.0 1.0) (* 0.75 0.75))))
  6. Pradeep Kumar

    Moving obect but inconsistance destination point

    I have used this instead (setq bpt (trans (cdr (assoc 10 (entget (ssname sset ctr)))) (ssname sset ctr) 0)) This way there was no error but still after correcting the Coordinate issue, the program runs just the way it was and I've post the code again so that you could have another glance at it to point out the mistakes. (defun c:ca() (setq ctr1 0 chk 0) (setq fpt (getpoint)) (command "ZOOM" "E") (setq sset1 (ssget "x" '((0 . "LWPOLYLINE")(8 . "_Floor")) )) (repeat (sslength sset1) (setq ctr 0) (SETQ PEN (ssname sset1 ctr1)) (SETQ PENL (ENTGET PEN)) (SETQ PPL (LIST)) (FOREACH N PENL (PROGN (SETQ PPA (CAR N)) (SETQ PPV (CDR N)) (IF (= PPA 10) (SETQ PPL (APPEND PPL (LIST (trans PPV PEN 1))))) ));END N (setq sset (ssget "WP" PPL )) (command "ZOOM" "E") (repeat (sslength sset) (setq item (ssname sset ctr)) (setq item (vlax-ename->vla-object item)) (setq layrname (vla-get-layer item)) (setq tst (cdr (assoc 0 (entget (ssname sset ctr)))) ) (if (= tst "LWPOLYLINE") (cond ((= layrname "_ResiFSI") (setq copyitem (ssname sset ctr)) (setq chk 1) ));cond );if (cond ((= layrname "_Floor") (cond ( (= tst "INSERT") (setq blockname (cdr (assoc 2 (entget (ssname sset ctr))))) )) ) ) (cond ((= "Direction Ref Point" blockname) (setq bpt (trans (cdr (assoc 10 (entget (ssname sset ctr)))) (ssname sset ctr) 0)) )) (setq ctr (1+ ctr)) );repeat for block ;(princ copyitem) (princ bpt)(princ "\n") (princ fpt) (if (= chk 1) (PK:mycopy copyitem bpt (trans fpt 1 0))) (setq chk 0) (setq ctr1 (+ ctr1 1)) );repeat for floor );defun (defun PK:mycopy(obj pt1 pt2) (setq thisdrawing (vla-get-activedocument (vlax-get-acad-object))) (vla-Regen thisdrawing acActiveViewport) (vla-move (vla-copy (vlax-ename->vla-object obj) );copy (vlax-3d-point pt1) (vlax-3d-point pt2) );move )
  7. Pradeep Kumar

    Moving obect but inconsistance destination point

    error: bad argument type: coordinate system specification: #<VLA-OBJECT IAcadBlockReference 000000003687dc18> Thank you for helping me with the corrections, pointing out the mistakes and explaining them. Please help me further to complete this program.
  8. Pradeep Kumar

    Area picked up by internal point

    What if I would like to retrieve area between two intersecting closed polyline.
  9. ammobake

    Question about Alignment labels

    Thanks, Bigal. That crossed my mind. I'm just not sure if it was ever set up properly so I'm not sure which drawing we could import from. It sounds like for a while everything was being exploded and readjusted as needed. We really aren't allowed to alter their standard template in any way so, technically, DOT should fix their template and everything would be fine. Setting it up in a project drawing only takes a minute though. So we'll just plan on doing that until DOT fixes the label style in their template. -ChrIS
  10. Re: Extension lines. In my opinion your dimensions are too close to the dimension line. This is controlled by the dimension variable DIMGAP. If you really want the text to be that close to the line, and the extension lines shortened then change the dimension variable DIMEXE which controls the extension line distance beyond the dimension line. The other thing you can do is change the height of your dimension text which is controlled by the dimensional variable DIMTEXT or just change it by going into Dimension Style and look under the Text tab. Re: presentation of the dimension "5" on the right. It may be attributed to the fact that when you placed the dimension you selected the far right (lower) corner then the upper right corner. Erase what you have and reverse your picks. Or Click/Drag the leader to the right.
  11. Points obtained from the getpoint function are defined relative to the UCS. Polyline vertices and block insertion points are defined relative to the OCS. Points supplied to AutoCAD commands and the ssget point list are defined relative to the UCS. Points supplied to the ActiveX move method are defined relative to the WCS. As such, change: (IF (= PPA 10) (SETQ PPL (APPEND PPL (LIST PPV)))) To: (IF (= PPA 10) (SETQ PPL (APPEND PPL (LIST (trans PPV pen 1))))) Change: (setq bpt (cdr (assoc 10 (entget (ssname sset ctr))))) To: (setq bpt (trans (cdr (assoc 10 (entget (ssname sset ctr)))) item 0)) Change: (if (= chk 1) (PK:mycopy copyitem bpt fpt)) To: (if (= chk 1) (PK:mycopy copyitem bpt (trans fpt 1 0))) The above is untested, but should get you most of the way there.
  12. Pradeep Kumar

    Moving obect but inconsistance destination point

    how to rectify UCS issue ?
  13. marko_ribar

    Area picked up by internal point

    It would be far more easy and reliable if you could pick desired polyline instead of picking inside it, whereas there may be more entities that may interfere point inside polyline checking...
  14. marko_ribar

    Moving obect but inconsistance destination point

    I could be that you have UCS not WCS issue...
  15. I have used bitonal tiff images, and inserted them into the drawing as raster images. With the transparency turned on, the remaining black pixels took on the colour of the layer into which it was inserted. It probably helps that I use AutoCAD in a WYSIWYG format, i.e. with a pale background. I have no experience with raster images inserted into a dark background.
  16. Pradeep Kumar

    Moving obect but inconsistance destination point

    I have attached the picture how the program should be running and how it is running now. I hope you could understand the issue with this code.
  17. Pradeep Kumar

    Area picked up by internal point

    Thank you. I would like to know whether there is a possibility to fetch the area of a closed polyline when the point is picked inside the closed polyline without using AutoCAD boundary command.
  18. I'm new to Autolisp please forgive me for my bad coding. I'm trying to find the coverage area by copying and moving the closed polyline (in "_ResiFSI" layer) but due to some unknown reason I couldn't move the object precisely to the destination that I have picked using "getpoint". There is reference block named "Direction Ref Point" in each floor plan (floor plan is drafted in "_Floor" layer) and when I try to copy each closed polyline in "_ResiFSI" with based point as reference blocks location and destination point from user input. Please help me. Note: I have also tried to regenerate the views and also used zoom extent. Please find the drawing in attachment. (defun c:ca() (setq ctr1 0 chk 0) (setq fpt (getpoint)) (command "ZOOM" "E") (setq sset1 (ssget "x" '((0 . "LWPOLYLINE")(8 . "_Floor")) )) (repeat (sslength sset1) (setq ctr 0) (SETQ PEN (ssname sset1 ctr1)) (SETQ PENL (ENTGET PEN)) (SETQ PPL (LIST)) (FOREACH N PENL (PROGN (SETQ PPA (CAR N)) (SETQ PPV (CDR N)) (IF (= PPA 10) (SETQ PPL (APPEND PPL (LIST PPV)))) ));END N (setq sset (ssget "WP" PPL )) (command "ZOOM" "E") (repeat (sslength sset) (setq item (ssname sset ctr)) (setq item (vlax-ename->vla-object item)) (setq layrname (vla-get-layer item)) (setq tst (cdr (assoc 0 (entget (ssname sset ctr)))) ) (if (= tst "LWPOLYLINE") (cond ((= layrname "_ResiFSI") (setq copyitem (ssname sset ctr)) (setq chk 1) ));cond );if (cond ((= layrname "_Floor") (cond ( (= tst "INSERT") (setq blockname (cdr (assoc 2 (entget (ssname sset ctr))))) )) ) ) (cond ((= "Direction Ref Point" blockname) (setq bpt (cdr (assoc 10 (entget (ssname sset ctr))))) )) (setq ctr (1+ ctr)) );repeat for block (if (= chk 1) (PK:mycopy copyitem bpt fpt)) (setq chk 0) (setq ctr1 (+ ctr1 1)) );repeat for floor );defun (defun PK:mycopy(obj pt1 pt2) (setq thisdrawing (vla-get-activedocument (vlax-get-acad-object))) (vla-Regen thisdrawing acActiveViewport) (vla-move (vla-copy (vlax-ename->vla-object obj) );copy (vlax-3d-point pt1) (vlax-3d-point pt2) );move ) 140.dwg
  19. Wow guys. this is awesome and works perfectly. Thank you all so much for your help and insights!!!! i really appreciate this site/forum above any others. ya'll are great. thanks again!!!
  20. @Roy_043 That's a possibility! but how to do this?
  21. A Display Name of $(if,$(and,1,$(getvar,ossnaphatch)),!.)OsnapHatch displays highlighted when on. Simple and easy alternative for displaying whether a system variable is On -vs- Off. For newer versions the proper macro would be ^P'setvar;osoptions;$M=$(if,$(and,1,$(getvar,osoptions)),$(-,$(getvar,osoptions),1),$(+,$(getvar,osoptions),1)) ^P with a Display Name of $(if,$(and,1,$(getvar,osoptions)),!.)OsnapHatch While OsnapHatch still works in 2019 it's hasn't been listed in help since before the 2015 versions.
  22. Using Internet Explorer for this type of automation would be easier as you can then use ActiveX.
  23. Please help me for export to Crossing in between Turning points (TP) No to table In Between TPS.dwg
  24. Try this. You have to select the polyline close to the vertex where you want to break it. (defun c:bav ( / *error* c_doc sv_lst sv_vals sel ent pt v_pt v_p r e_p s_p) (defun *error* ( msg ) (mapcar 'setvar sv_lst sv_vals) (if (and c_doc (= 8 (logand 8 (getvar 'UNDOCTL)))) (vla-endundomark c_doc)) (if (not (wcmatch (strcase msg) "*BREAK*,*CANCEL*,*EXIT*")) (princ (strcat "\nOops an Error : " msg " occurred."))) (princ) );end_*error*_defun (setq c_doc (vla-get-activedocument (vlax-get-acad-object)) sv_lst (list 'osmode 'cmdecho) sv_vals (mapcar 'getvar sv_lst) );end_setq (mapcar 'setvar sv_lst '(0 0)) (if (and c_doc (= 8 (logand 8 (getvar 'UNDOCTL)))) (vla-endundomark c_doc)) (vla-startundomark c_doc) (while (setq sel (entsel "\nSelect vertex to Break Polyline At : ")) (setq ent (car sel) pt (cadr sel) v_pt (vlax-curve-getclosestpointto ent pt) v_p (vlax-curve-getparamatpoint ent v_pt) r (rem v_p 1.0) );end_setq (cond ( (>= r 0.5) (setq v_pt (vlax-curve-getpointatparam ent (setq v_p (float (1+ (fix v_p))))))) (t (setq v_pt (vlax-curve-getpointatparam ent (setq v_p (float (fix v_p)))))) );end_cond (cond ( (= (- (setq e_p (vlax-curve-getendparam ent)) (setq s_p (vlax-curve-getstartparam ent))) 1.0) (alert "Polyline has NO vertices, Only has Ends")) ( (or (= v_p s_p) (= v_p e_p)) (alert "Nearest Vertex is an End Point")) (t (vl-cmdf "break" ent "_F" v_pt v_pt)) );end_cond );end_while (if (and c_doc (= 8 (logand 8 (getvar 'UNDOCTL)))) (vla-endundomark c_doc)) (mapcar 'setvar sv_lst sv_vals) (princ) );end_defun
  25. Do you think that the drivers for an HP 800 series would work? We used to have one but I still have the drivers for it on the server.
  26. f700es

    New Drafter

    +1 to TZ and also add in Nvidia GTX 1060 or higher graphics card. Here's one I'd get.... https://www.newegg.com/p/N82E16834155029 Thin and light (.69" thick and 4.14 lbs) and all the specs you need to get work done. $1,400
  27. No, they always open in a new window !! I have no idea how to achieve this. lol
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...